Bug 144045 - Kernel panic on ACPI resume
Kernel panic on ACPI resume
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-03 20:06 EST by Tom Richardson
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version: fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-24 01:24:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Richardson 2005-01-03 20:06:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Upon upgrading to kernel 2.6.9-1.681_FC3, ACPI resume no longer works
correctly as it did in all previous kernels.  Using `echo mem >
/sys/power/state` to suspend to RAM works as expected.  However, upon
resuming, the system freezes with a kernel panic.  The following is
the message displayed:

orinoco_lock() called with hw_unavailable(dev=ea089000)
kernel panic - not syncing: drivers/net/wireless/orinoco.h:141
    spin_unlock(drivers/net/wireless/orinoco.c: ea089288) not locked

This only occurs when my Linksys WPC11 (Prism 2.5) PCMCIA card is
installed (in my IBM T23 Thinkpad), obviously.  All firmware on the
laptop is up-to-date (including BIOS, embedded controller, WPC11

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  boot with kernel 2.6.9-1.724_FC3 and WPC11 (probably any Prism
card) installed
2.  suspend to RAM using ACPI
3.  resume from RAM

Actual Results:  Kernel panic, system freezes

Expected Results:  Normal function resumes

Additional info:

Previous kernels do produce error messages like this about the orinoco
driver and something not being locked, but resume still works.  

"kernel: drivers/net/wireless/orinoco.h:141:
spin_unlock(drivers/net/wireless/orinoco.c:2bbb7c08) not locked"
Comment 1 Tom Richardson 2005-01-03 22:15:04 EST
My apologies for any confusion, the error occurs in kernel
2.6.9-1.724_FC3, not 2.6.9-1.681_FC3.
Comment 2 Barry K. Nathan 2005-01-05 10:49:16 EST
If you try 2.6.10-1.727_FC3, does the problem still happen? It's a
test kernel, available here:
Comment 3 Tom Richardson 2005-01-05 16:34:33 EST
2.6.10-1.727_FC3 fixes the resume problem.  However, the same messages
still appear when suspending: "orinoco_lock() called with
hw_unavailable (dev=ecd23800)"

What was changed in 727 to make ACPI work again?  I can't find a
Comment 4 Barry K. Nathan 2005-01-05 17:05:22 EST

Some of the stuff from 2.6.10 was previously backported to the Fedora
2.6.9 kernels, but most of it (including at least some of the ACPI
stuff) wasn't.

Here's Dave Jones's announcement of 727, for what it's worth:
Comment 5 Tom Richardson 2005-01-12 13:31:18 EST
It looks like the bug is back in 2.6.10-1.737_FC3, only in a different
form.  If I suspend to RAM with the WPC11 network card inserted and
running, then remove it and attempt to resume, I get the same kernel
panic as above.  This is not as serious of an issue, but it certainly
is a severe annoyance.
Comment 6 Dave Jones 2005-07-15 16:31:08 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.